Skip to main content
PATCH
/
dashboards
/
dashboards
/
{id}
cURL
curl --request PATCH \
  --url https://api.cekura.ai/dashboards/dashboards/{id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "project": 123,
  "filters": {
    "field": "<string>",
    "op": "eq",
    "value": "<unknown>",
    "operator": "and",
    "conditions": [
      "<unknown>"
    ]
  }
}
'
{
  "id": 123,
  "name": "<string>",
  "project": 123,
  "filters": {
    "field": "<string>",
    "op": "eq",
    "value": "<unknown>",
    "operator": "and",
    "conditions": [
      "<unknown>"
    ]
  },
  "widgets": [
    {
      "chart_type": "line",
      "id": 123,
      "dashboard": 123,
      "name": "<string>",
      "filters": {
        "field": "<string>",
        "op": "eq",
        "value": "<unknown>",
        "operator": "and",
        "conditions": [
          "<unknown>"
        ]
      },
      "effective_filters": {
        "field": "<string>",
        "op": "eq",
        "value": "<unknown>",
        "operator": "and",
        "conditions": [
          "<unknown>"
        ]
      },
      "data_type": "numeric",
      "field": "",
      "metric": 123,
      "metric_name": "<string>",
      "time_period": "hour",
      "aggregation_function": "count",
      "group_by": "<unknown>",
      "metadata": "<unknown>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "widget_count": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
string
required

Body

Mixin for parsing restql query from request.

NOTE: We are using request.GET instead of request.query_params because this might be called before DRF request is created(i.e from dispatch). This means request.query_params might not be available when this mixin is used.

name
string | null

Name of the dashboard

Maximum string length: 255
project
integer | null

Project this dashboard belongs to

filters
object

Filter conditions to scope the data. See the Dashboards guide for supported fields, operators, and syntax.

Examples:
{
"field": "success",
"op": "eq",
"value": true
}
{
"operator": "and",
"conditions": [
{
"field": "timestamp",
"op": "gte",
"value": "today-7d"
},
{
"field": "duration",
"op": "gte",
"value": 60
}
]
}

Response

200 - application/json

Mixin for parsing restql query from request.

NOTE: We are using request.GET instead of request.query_params because this might be called before DRF request is created(i.e from dispatch). This means request.query_params might not be available when this mixin is used.

id
integer
name
string | null

Name of the dashboard

Maximum string length: 255
project
integer | null

Project this dashboard belongs to

filters
object

Filter conditions to scope the data. See the Dashboards guide for supported fields, operators, and syntax.

Examples:
{
"field": "success",
"op": "eq",
"value": true
}
{
"operator": "and",
"conditions": [
{
"field": "timestamp",
"op": "gte",
"value": "today-7d"
},
{
"field": "duration",
"op": "gte",
"value": 60
}
]
}
widgets
object[]
widget_count
string

Number of widgets in the dashboard

created_at
string<date-time> | null

When the dashboard was created

updated_at
string<date-time> | null

When the dashboard was last updated